org.jfree.xml.attributehandlers

## Interface AttributeHandler

All Known Implementing Classes:
  BooleanAttributeHandler, ByteAttributeHandler, CharacterAttributeHandler, DoubleAttributeHandler, FloatAttributeHandler, IntegerAttributeHandler, LongAttributeHandler, ShortAttributeHandler, StringAttributeHandler

    public interface AttributeHandler

An attribute handler is an object that can transform an object into a string or vice versa.

### Method Summary

Methods
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts an object to an attribute value.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a property value.

### Method Detail

#### toAttributeValue

    java.lang.String toAttributeValue(java.lang.Object o)

Converts an object to an attribute value.

Parameters:
  `o` - the object.
Returns:
  the attribute value.

#### toPropertyValue

    java.lang.Object toPropertyValue(java.lang.String s)

Converts a string to a property value.

Parameters:
  `s` - the string.
Returns:
  a property value.